Bug 13886 - Add ability to merge records directly from cataloging search
Summary: Add ability to merge records directly from cataloging search
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-21 15:33 UTC by Nick Clemens
Modified: 2016-12-05 21:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13886 - Add ability to merge records directly from cataloging search (2.75 KB, patch)
2015-03-21 15:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13801: svc/bib - Set charset to utf-8 on printing header (1.27 KB, patch)
2015-03-29 20:17 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 13886 - Add ability to merge records directly from cataloging search (2.81 KB, patch)
2015-03-29 20:19 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 13801: svc/bib - Set charset to utf-8 on printing header (1.27 KB, patch)
2015-03-29 20:19 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 13886 QA Follow Up : Remove tabs (4.37 KB, patch)
2015-03-29 20:22 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 13886 - Add ability to merge records directly from cataloging search (2.89 KB, patch)
2015-04-17 13:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13886 QA Follow Up : Remove tabs (4.43 KB, patch)
2015-04-17 13:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13886: (QA followup) only show merge button on search results (1015 bytes, patch)
2015-05-04 14:05 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2015-03-21 15:33:39 UTC
Current workflow requires that if one notices duplicated records in a cataloging search they must then perform a standard search, add the records to a list, then go to that list and merge them.  It would be nice to be able to merge directly from the cataloging search screen (and the standard search screen, but one step at a time)
Comment 1 Nick Clemens 2015-03-21 15:38:11 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2015-03-29 20:17:01 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2015-03-29 20:18:20 UTC
Comment on attachment 37346 [details] [review]
Bug 13801: svc/bib - Set charset to utf-8 on printing header

I made a mistake somewhere in signing off.
Comment 4 Nicole C. Engard 2015-03-29 20:19:00 UTC Comment hidden (obsolete)
Comment 5 Nicole C. Engard 2015-03-29 20:19:47 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2015-03-29 20:22:07 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2015-04-17 13:14:47 UTC
Created attachment 38052 [details] [review]
[PASSED QA] Bug 13886 - Add ability to merge records directly from cataloging search

This patch adds a merge button and checkboxes to the cataloging search results screen to allow librarians to merge directly from these reults

To test:
1 - Apply patch
2 - Perform a cataloging search
3 - Try to select 1 or more than 2 records to merge and check that you get an error
4 - Select 2 records to merge and confirm the correct records are passed to the merge tool

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Kyle M Hall 2015-04-17 13:15:00 UTC
Created attachment 38054 [details] [review]
[PASSED QA] Bug 13886 QA Follow Up : Remove tabs

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Tomás Cohen Arazi 2015-05-04 14:05:33 UTC
Created attachment 38817 [details] [review]
Bug 13886: (QA followup) only show merge button on search results

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 10 Tomás Cohen Arazi 2015-05-04 14:45:45 UTC
Patches pushed to master.

Thanks Nick!